body {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    overflow-x: hidden;
}

/* REMOVE QUALQUER ESPAÇO LATERAL */

html,
body {
    width: 100%;
    overflow-x: hidden;
}

/* ================= MENU ================= */

.topnav {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
}

.topnav nav {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;

    background-color: black;

    width: 100%;

    transition: top 0.3s;

    flex-wrap: wrap;

    padding: 10px 0;

    box-sizing: border-box;
}

.img_logo {
    width: 300px;
    height: auto;
}

.topnav a {
    color: yellow;
    text-decoration: none;
    font-size: 17px;

    padding: 15px 20px;

    transition: 0.3s;
}

.topnav a:hover {
    color: grey;
}

/* ================= MENU MOBILE ================= */

.menu{
    display: flex;
    gap: 20px;
}

.menu-btn{
    display: none;
    background: none;
    border: none;
    color: yellow;
    font-size: 35px;
    cursor: pointer;
}

@media (max-width: 768px){

    .topnav nav{
        justify-content: space-between;
        padding: 10px 20px;
    }

    .img_logo{
        width: 160px;
    }

    .menu-btn{
        display: block;
    }

    .menu{
        display: none;
        flex-direction: column;
        width: 100%;
        text-align: center;
        margin-top: 20px;
    }

    .menu.ativo{
        display: flex;
    }

    .topnav a{
        font-size: 14px;
        padding: 10px;
    }
}

/* ================= BANNERS ================= */

.banner,
.banner2,
.banner3{
    position: relative;

    width: 100vw;

    margin: 0;
    padding: 0;

    left: 0;
    right: 0;

    overflow: hidden;

    box-sizing: border-box;
}

/* BANNER PRINCIPAL */

.banner{
    height: 100vh;
}

/* BANNER 2 E 3 */

.banner2,
.banner3{
    height: auto;
}

/* IMAGENS DOS BANNERS */

.img_banner,
.img_banner2,
.img_banner3{
    width: 100%;
    max-width: 100%;
    display: block;
}

/* BANNER PRINCIPAL */

.img_banner{
    height: 100%;
    object-fit: cover;
}

/* IMAGEM BANNER 2 */

.img_banner2{
    height: auto;
    object-fit: cover;
}

/* IMAGEM BANNER 3 */

.img_banner3{
    width: 100%;
    height: 100%;

    object-fit: cover;

    object-position: center;
}

/* ESCURECER SOMENTE O BANNER 1 */

.banner::before{
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.4);
    z-index: 1;
}

/* ================= TEXTO BANNER 1 ================= */

.texto_banner{
    position: absolute;

    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%);

    color: white;
    text-align: center;

    width: 90%;

    z-index: 2;
}

.texto_banner h1{
    font-size: 70px;
    margin-bottom: 10px;
}

.texto_banner p{
    font-size: 30px;
    margin-bottom: 20px;
    margin-top: 0;
}

/* ================= TEXTO BANNER 2 E 3 ================= */

.texto_banner2,
.texto_banner3{
    position: absolute;

    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%);

    color: white;

    text-align: left;

    width: 90%;

    z-index: 2;
}

.texto_banner2{
    margin-left: 5%;
}

.texto_banner2 h1,
.texto_banner3 h1{
     font-size: 80px;
    line-height: 1.2;
    color: rgb(199, 172, 17);
}

.texto_banner2 p,
.texto_banner3 p{
    font-size: 30px;
    margin-bottom: 30px;
}

/* ================= BOTÕES ================= */

.botao {
    background: rgb(50, 223, 35);

    color: white;

    padding: 15px 35px;

    text-decoration: none;

    border-radius: 10px;

    font-size: 22px;

    display: inline-block;
}
.banner3 .botao,
.banner2 .botao{
    font-size: 30px;
    padding: 30px 68px;
}

/* ================= CONTEÚDO ================= */

.container {
    width: 90%;
    margin: auto;
    padding: 80px 0;
}

.inicio {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5%;
    flex-wrap: wrap;
}

.img_conteudo {
    width: 100%;
    max-width: 500px;
    height: auto;
}

.texto {
    max-width: 1000px;
}

.texto h1 {
    font-size: 60px;
    margin-bottom: 20px;
}

.texto p {
    font-size: 28px;
    line-height: 1.5;
    text-align: justify;
}

/* ================= SERVIÇOS ================= */

.servico {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1%;
    flex-wrap: wrap;
    margin: auto;
}

.img_conteudo2 {
    width: 30%;
    max-width: 500px;
    height: auto;
}

.texto2 {
    max-width: 1000px;
}

.texto2 h1 {
    font-size: 60px;
    margin-bottom: 20px;
}

.texto2 p {
    font-size: 28px;
    line-height: 1.5;
    text-align: justify;
}

.lado_a_lado {
    display: flex;
    gap: 15%;
    align-items: center;
    text-align: center;
    justify-content: center;
}

/* ================= RESPONSIVO ================= */


/* ---------- NOTEBOOK GRANDE / TELAS MAIORES ---------- */

@media (min-width: 1201px){

    .img_logo{
        width: 300px;
    }

    /* ================= BANNER 1 ================= */

    .texto_banner{
        width: 85%;
    }

    .texto_banner h1{
        font-size: 72px;
        line-height: 1.2;
        margin-bottom: 18px;
    }

    .texto_banner p{
        font-size: 32px;
        line-height: 1.5;
        margin-bottom: 18px;
    }

    .texto_banner .botao{
        font-size: 22px;
        padding: 15px 35px;
        margin-top: 16px;
    }

    /* ================= BANNER 2 ================= */

    .banner2{
        height: auto;
    }

    .img_banner2{
        width: 100%;
        height: auto;
        object-fit: cover;
    }

    /* ================= BANNER 3 ================= */

    .banner3{
        position: relative;
        width: 100vw;
        overflow: hidden;

        /* MOSTRA MAIS DA IMAGEM */
        height: 650px;
    }

    .img_banner3{
        width: 100%;
        height: 100%;

        display: block;

        object-fit: cover;

        object-position: center center;
    }

    /* ================= TEXTOS BANNER 2 E 3 ================= */

    .texto_banner2,
    .texto_banner3{
        width: 88%;
    }

    .texto_banner2{
        margin-left: 5%;
    }

    .texto_banner2 h1,
    .texto_banner3 h1{
        font-size: 70px;
        line-height: 1.2;
        margin-bottom: 10px;
        color: rgb(199, 172, 17);
    }

    .texto_banner2 p,
    .texto_banner3 p{
        font-size: 26px;
        line-height: 1.4;
        margin-bottom: 20px;
    }

    /* ================= BOTÕES ================= */

    .banner2 .botao,
    .banner3 .botao{
        font-size: 22px;
        padding: 18px 34px;
        border-radius: 8px;
    }

    /* ================= CONTEÚDO ================= */

    .container{
        width: 90%;
        margin: auto;
    }

    .inicio,
    .servico{
        gap: 5%;
    }

    .img_conteudo{
        max-width: 500px;
    }

    .img_conteudo2{
        max-width: 420px;
    }

    .texto h1,
    .texto2 h1{
        font-size: 60px;
    }

    .texto p,
    .texto2 p{
        font-size: 28px;
        line-height: 1.5;
    }
}


/* ---------- NOTEBOOK ---------- */

@media (max-width: 1200px) and (min-width: 993px){

    .img_logo{
        width: 220px;
    }

    /* ================= BANNER 1 ================= */

    .texto_banner h1{
        font-size: 60px;
        line-height: 1.2;
        margin-bottom: 16px;
    }

    .texto_banner p{
        font-size: 26px;
        line-height: 1.5;
        margin-bottom: 22px;
    }

    .texto_banner .botao{
        font-size: 18px;
        padding: 12px 28px;
        margin-top: 10px;
    }

    /* ================= BANNER 3 ================= */

    .banner3{
        position: relative;
        width: 100vw;
        overflow: hidden;

        /* CORTE APENAS NO NOTEBOOK */
        height: 550px;
    }

    .img_banner3{
        width: 100%;
        height: 100%;

        display: block;

        object-fit: cover;

        object-position: center center;
    }

    .banner3 .botao,
    .banner2 .botao{
        font-size: 20px;
        padding: 10px 18px;
    }

    /* ================= TEXTOS ================= */

    .texto_banner2 h1,
    .texto_banner3 h1{
        font-size: 60px;
        line-height: 1.2;
        color: rgb(199, 172, 17);
    }

    .texto_banner2 p,
    .texto_banner3 p{
        font-size: 22px;
        line-height: 1.4;
    }

    /* ================= CONTEÚDO ================= */

    .texto h1,
    .texto2 h1{
        font-size: 45px;
    }

    .texto p,
    .texto2 p{
        font-size: 22px;
    }

    .img_conteudo{
        max-width: 420px;
    }

    .img_conteudo2{
        max-width: 350px;
    }
}


/* ---------- TABLET ---------- */

@media (max-width: 992px){

    .img_logo{
        width: 180px;
    }

    /* REMOVE CORTE DO BANNER 3 */

    .banner3{
        height: auto;
        overflow: visible;
    }

    .img_banner3{
        width: 100%;
        height: auto;

        object-fit: contain;
    }

    /* ================= BANNER 1 ================= */

    .texto_banner{
        width: 88%;
    }

    .texto_banner h1{
        font-size: 46px;
        line-height: 1.3;
        margin-bottom: 18px;
    }

    .texto_banner p{
        font-size: 22px;
        line-height: 1.5;
        margin-bottom: 22px;
    }

    .texto_banner .botao{
        font-size: 18px;
        padding: 12px 24px;
        margin-top: 10px;
    }

    /* ================= BANNER 2 E 3 ================= */

    .banner3 .botao,
    .banner2 .botao{
        font-size: 14px;
        padding: 8px 14px;
    }

    .texto_banner2 h1,
    .texto_banner3 h1{
        font-size: 34px;
        line-height: 1.2;
        margin-bottom: 6px;
        color: rgb(199, 172, 17);
    }

    .texto_banner2 p,
    .texto_banner3 p{
        font-size: 16px;
        line-height: 1.3;
        margin-bottom: 5px;
    }

    /* ================= CONTEÚDO ================= */

    .inicio,
    .servico,
    .lado_a_lado{
        flex-direction: column;
        gap: 30px;
    }

    .img_conteudo{
        width: 80%;
        max-width: 350px;
    }

    .img_conteudo2{
        width: 70%;
        max-width: 300px;
    }

    .texto h1,
    .texto2 h1{
        font-size: 34px;
    }

    .texto p,
    .texto2 p{
        font-size: 19px;
    }
}


/* ---------- TABLET PEQUENO ---------- */

@media (max-width: 850px){

    .img_logo{
        width: 150px;
    }

    .texto_banner{
        width: 90%;
    }

    .texto_banner h1{
        font-size: 40px;
        line-height: 1.25;
        margin-bottom: 18px;
    }

    .texto_banner p{
        font-size: 30px;
        line-height: 1.4;
        margin-bottom: 10px;
    }

    .texto_banner .botao{
        font-size: 17px;
        padding: 12px 22px;
        margin-top: 12px;
    }

    .texto_banner2,
    .texto_banner3{
        width: 88%;
    }

    .texto_banner2{
        margin-left: 4%;
    }

    .texto_banner2 h1,
    .texto_banner3 h1{
        font-size: 30px;
        line-height: 1.15;
        margin-bottom: 5px;
        color: rgb(199, 172, 17);
    }

    .texto_banner2 p,
    .texto_banner3 p{
        font-size: 15px;
        line-height: 1.25;
        margin-bottom: 4px;
    }

    .banner2 .botao,
    .banner3 .botao{
        font-size: 12px;
        padding: 7px 12px;
        border-radius: 6px;
    }

    .inicio,
    .servico,
    .lado_a_lado{
        flex-direction: column;
        gap: 30px;
    }

    .img_conteudo{
        width: 85%;
        max-width: 320px;
    }

    .img_conteudo2{
        width: 75%;
        max-width: 260px;
    }

    .texto h1,
    .texto2 h1{
        font-size: 32px;
    }

    .texto p,
    .texto2 p{
        font-size: 18px;
        line-height: 1.5;
    }
}


/* ---------- CELULAR ---------- */ /* IPAD MINI */

@media (max-width: 768px){

    .img_logo{
        width: 140px;
    }

    .texto_banner{
        width: 92%;
    }

    .texto_banner h1{
        font-size: 34px;
        line-height: 1.3;
        margin-top: 10px;
        margin-bottom: 100px;
    }

    .texto_banner p{
        font-size: 25px;
        line-height: 1.3;
        margin-bottom: 8px;
    }

    .texto_banner .botao{
        font-size: 16px;
        padding: 12px 20px;
        margin-top: 14px;
    }

    .banner3 .botao,
    .banner2 .botao{
        font-size: 10px;
        padding: 6px 10px;
    }

    .texto_banner2,
    .texto_banner3{
        width: 88%;
    }

    .texto_banner2{
        margin-left: 4%;
    }

    .texto_banner2 h1,
    .texto_banner3 h1{
        font-size: 45px;
        line-height: 1.15;
        margin-bottom: 4px;
        color: rgb(199, 172, 17); /*rgb(199, 172, 17) */
    }
    .texto_banner3 h1{
        margin-top: 10%;
    }
            

    .texto_banner2 p,
    .texto_banner3 p{
        font-size: 25px;
        line-height: 1.2;
        margin-bottom: 4px;
    }


    .banner3 .botao,
    .banner2 .botao{
        font-size: 25px;
        padding: 15px 28px;
        border-radius: 5px;
        margin-top: 20px;
    }

    .img_conteudo{
        width: 90%;
        max-width: 280px;
    }

    .img_conteudo2{
        width: 85%;
        max-width: 240px;
    }

    .texto h1,
    .texto2 h1{
        font-size: 26px;
    }

    .texto p,
    .texto2 p{
        font-size: 16px;
    }
}


/* ---------- CELULAR PEQUENO ---------- */ /* IPHONE XR */

@media (max-width: 480px){

    .img_logo{
        width: 110px;
    }

    .texto_banner{
        width: 94%;
    }

    .texto_banner h1{
        font-size: 26px;
        line-height: 1.35;
        margin-bottom: 80%;
    }

    .texto_banner p{
        font-size: 20px;
        line-height: 1.3;
        margin-bottom: 8px;
    }

    .texto_banner .botao{
        font-size: 14px;
        padding: 10px 16px;
        margin-top: 18px;
    }

    .banner3 .botao,
    .banner2 .botao{
        font-size: 16px;
        padding: 10px 18px;
        border-radius: 5px;
    }

    .texto_banner2,
    .texto_banner3{
        width: 86%;
    }

    .texto_banner2{
        margin-left: 3%;
        display: flex;
        flex-direction: column;
        justify-content: center; /* CENTRALIZA VERTICAL */
    }

    .texto_banner2 h1,
    .texto_banner3 h1{
        font-size: 25px;
        line-height: 1.1;
        margin-bottom: 2px;
        color: rgb(199, 172, 17); /*199, 172, 17*/
        margin-top: 0%;
    }

    .texto_banner3 h1{
        margin-top: 20%;
    }


    .texto_banner2 p,
    .texto_banner3 p{
        font-size: 16px;
        line-height: 1.1;
        margin-bottom: 5%;
    }

    .img_conteudo{
        max-width: 220px;
    }

    .img_conteudo2{
        max-width: 200px;
    }

    .texto h1,
    .texto2 h1{
        font-size: 22px;
    }

    .texto p,
    .texto2 p{
        font-size: 14px;
    }
}